Bug 147566 - iostat doesn't show tape devices
Summary: iostat doesn't show tape devices
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-09 12:46 UTC by brent robson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 13:21:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description brent robson 2005-02-09 12:46:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
iostat will only show disk devices, and does not
list tape devices.

Version-Release number of selected component (if applicable):
sysstat-4.0.7-4.EL3.3

How reproducible:
Always

Steps to Reproduce:
1.  iostat -x /dev/st0
2.
3.
    

Actual Results:  [root@unbutest db]# iostat -x /dev/st0
Linux 2.4.21-4.ELsmp (unbutest.nsg.stercomm.com)        02/09/05

avg-cpu:  %user   %nice    %sys   %idle
           0.20    0.00    1.53   98.27

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util



Expected Results:  should have seen statistics for /dev/st0

Additional info:

Comment 1 Neil Horman 2005-05-06 13:21:59 UTC
This is NOTABUG.  iostat is only meant to show statistics for block devices, and
/dev/st0 is a character device:

[nhorman@hmsdreadnought nhorman]$ ls -l /dev/st0
crw-rw----    1 root     disk       9,   0 Jun 24  2004 /dev/st0


Note You need to log in before you can comment on or make changes to this bug.